curl --request POST \
--url https://www.anyfast.ai/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-image-2-c",
"prompt": "A futuristic city skyline at sunset with flying cars",
"size": "1024x1024",
"quality": "high",
"output_format": "png",
"moderation": "auto",
"output_compression": 80,
"response_format": "url"
}
'import requests
url = "https://www.anyfast.ai/v1/images/generations"
payload = {
"model": "gpt-image-2-c",
"prompt": "A futuristic city skyline at sunset with flying cars",
"size": "1024x1024",
"quality": "high",
"output_format": "png",
"moderation": "auto",
"output_compression": 80,
"response_format": "url"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-image-2-c',
prompt: 'A futuristic city skyline at sunset with flying cars',
size: '1024x1024',
quality: 'high',
output_format: 'png',
moderation: 'auto',
output_compression: 80,
response_format: 'url'
})
};
fetch('https://www.anyfast.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
]
}gpt-image-2-c
Generate images from text prompts using gpt-image-2-c, the cost-effective variant of GPT Image 2. Supports response_format. Does not support the n parameter (one image per request).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Model ID.
gpt-image-2-c "gpt-image-2-c"
Text description of the desired image.
"A futuristic city skyline at sunset with flying cars"
Output image size in {width}x{height} format. Supports flexible resolutions — both edges must be multiples of 16, aspect ratio ≤ 3:1, total pixels between 655,360 and 8,294,400, max edge 3,840px.
"1024x1024"
Image quality.
low, medium, high "high"
Output image format.
png, jpeg "png"
Content moderation level.
auto, low "auto"
Compression level for jpeg format (0-100%).
0 <= x <= 10080
Response format. Either url or b64_json.
url, b64_json "url"
Response
Images generated successfully.
Array of generated images.
Show child attributes
Show child attributes
Was this page helpful?